---
title: CSSUnitValue.unit
slug: Web/API/CSSUnitValue/unit
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnitValue
  - Experimental
  - Houdini
  - Property
  - Reference
  - unit
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnitValue.unit</code></strong> read-only property of the {{domxref("CSSUnitValue")}} interface returns a {{jsxref('USVString')}} indicating the type of unit.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aString</em> = CSSUnitValue.unit;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref('USVString')}}.</p>

<h2 id="Examples">Examples</h2>

<p>The following creates a {{domxref('CSSPositionValue')}} from individual <code>CSSUnitValue</code> constructors, then queries the <code>CSSUnitValue.unit</code>.</p>

<pre class="brush: js">let pos = new CSSPositionValue(
    new CSSUnitValue( 5, "px" ),
    new CSSUnitValue( 10, "em" ));

console.log( pos.x.unit ); // "px"
console.log( pos.y.unit ); // "em"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#dom-cssunitvalue-unit','CSSUnitValue.unit')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnitValue.unit")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
	<li>{{domxref('CSSUnitValue.value')}}</li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
